> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deep Research events

> List persisted progress for a Deep Research run in chronological order.
Pass the returned cursor unchanged to receive only newer events. The
cursor remains usable when no new events are available.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/ee/projects/{projectUuid}/ai-deep-research/{aiDeepResearchRunUuid}/events
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3374.1
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/ee/projects/{projectUuid}/ai-deep-research/{aiDeepResearchRunUuid}/events:
    get:
      summary: List Deep Research events
      description: |-
        List persisted progress for a Deep Research run in chronological order.
        Pass the returned cursor unchanged to receive only newer events. The
        cursor remains usable when no new events are available.
      operationId: listAiDeepResearchEvents
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - in: path
          name: aiDeepResearchRunUuid
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - in: query
          name: cursor
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAiDeepResearchEventsResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    UUID:
      type: string
      format: uuid
      description: |-
        Stringified UUIDv4.
        See [RFC 4112](https://tools.ietf.org/html/rfc4122)
      pattern: >-
        [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
    ApiAiDeepResearchEventsResponse:
      $ref: '#/components/schemas/ApiSuccess_AiDeepResearchEventsPage_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiSuccess_AiDeepResearchEventsPage_:
      properties:
        results:
          $ref: '#/components/schemas/AiDeepResearchEventsPage'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AiDeepResearchEventsPage:
      properties:
        nextCursor:
          type: string
          nullable: true
        events:
          items:
            $ref: '#/components/schemas/AiDeepResearchEvent'
          type: array
      required:
        - nextCursor
        - events
      type: object
    AiDeepResearchEvent:
      anyOf:
        - properties:
            createdAt:
              type: string
            payload:
              properties:
                status:
                  $ref: '#/components/schemas/AiDeepResearchRunStatus'
              required:
                - status
              type: object
            eventType:
              type: string
              enum:
                - status_changed
              nullable: false
            aiDeepResearchRunUuid:
              type: string
            aiDeepResearchEventUuid:
              type: string
          required:
            - createdAt
            - payload
            - eventType
            - aiDeepResearchRunUuid
            - aiDeepResearchEventUuid
          type: object
        - properties:
            createdAt:
              type: string
            payload:
              $ref: '#/components/schemas/Record_string.never_'
            eventType:
              type: string
              enum:
                - cancellation_requested
              nullable: false
            aiDeepResearchRunUuid:
              type: string
            aiDeepResearchEventUuid:
              type: string
          required:
            - createdAt
            - payload
            - eventType
            - aiDeepResearchRunUuid
            - aiDeepResearchEventUuid
          type: object
        - properties:
            createdAt:
              type: string
            payload:
              properties:
                progress:
                  $ref: '#/components/schemas/AiDeepResearchProgress'
              required:
                - progress
              type: object
            eventType:
              type: string
              enum:
                - progress
              nullable: false
            aiDeepResearchRunUuid:
              type: string
            aiDeepResearchEventUuid:
              type: string
          required:
            - createdAt
            - payload
            - eventType
            - aiDeepResearchRunUuid
            - aiDeepResearchEventUuid
          type: object
    AiDeepResearchRunStatus:
      type: string
      enum:
        - queued
        - running
        - failed
        - completed
        - partially_completed
        - cancelled
    Record_string.never_:
      properties: {}
      type: object
      description: Construct a type with a set of properties K of type T
    AiDeepResearchProgress:
      properties:
        total:
          type: number
          format: double
          nullable: true
        current:
          type: number
          format: double
          nullable: true
        activity:
          allOf:
            - $ref: '#/components/schemas/AiDeepResearchActivity'
          nullable: true
        phase:
          $ref: '#/components/schemas/AiDeepResearchPhase'
      required:
        - total
        - current
        - activity
        - phase
      type: object
    AiDeepResearchActivity:
      type: string
      enum:
        - lightdash_metadata
        - warehouse_query
        - web_search
        - web_fetch
        - reporting
    AiDeepResearchPhase:
      type: string
      enum:
        - planning
        - investigating
        - validating
        - synthesizing

````